Subject: [[email-masked]: Re:]

From: [email-masked] (Mi Mi)
Date: Mon, 27 Sep 93 12:15:36 CDT

Date: Mon, 27 Sep 1993 12:57:40 -0400 (EDT)
>From: [email-masked] (Jianguo Sun)
Subject: Re:
To: [email-masked]
Content-Transfer-Encoding: 7BIT

I got approval receipt this morning, however, to my suprise, my priority is
July 14 and class is EC6. I mailed my application on June 30, and return
receipt said that Eastern Center received my application on about 11 a.m.
July 1st. Does anyone has same situation as me? Since my wife is lad, this
means that my July 14 priority seriously affects my wife's application.

Any suggestion of what I should do would be greatly appreciated.

If this message is not posted in Lads netter, please post it for me.

Thanks in advance.

Jianguo